//+------------------------------------------------------------------+
//|                                          MultiTimeFractal.mq4    |
//|                                                               me |
//|                                                               me |
//+------------------------------------------------------------------+
#property copyright "me"
#property link      "me"

#property indicator_chart_window
#property indicator_buffers 2


#property indicator_color1 Red
#property indicator_width1 1
#property indicator_color2 Red
#property indicator_width2 1


double Up[];
double Dn[];


extern int TimeFrame=1;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorBuffers(2);
   
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexBuffer(0,Up);
   SetIndexEmptyValue(0,0.0);
   SetIndexArrow(0,217);

   SetIndexStyle(1,DRAW_ARROW);
   SetIndexBuffer(1,Dn);
   SetIndexEmptyValue(1,0.0);
   SetIndexArrow(1,218);
  
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   
   if(counted_bars>0)
   counted_bars--;
   
  int limit = Bars-counted_bars;
  int cnt;
  int DnShift1, DnShift2, DnShift3, DnShift4, DnShift5, UpShift1, UpShift2, UpShift3, UpShift4, UpShift5;
  double Dn1, Dn2, Dn3, Dn4, Dn5, Up1,Up2,Up3,Up4,Up5;
  
  
   
   for(cnt=0; cnt<=limit; cnt++)
   {
     
         UpShift1=iHighest(NULL, 0, MODE_HIGH, TimeFrame, cnt) ;
         UpShift2=iHighest(NULL, 0, MODE_HIGH, TimeFrame, cnt+TimeFrame) ;
         UpShift3=iHighest(NULL, 0, MODE_HIGH, TimeFrame, cnt+2*TimeFrame); 
         UpShift4=iHighest(NULL, 0, MODE_HIGH, TimeFrame, cnt+3*TimeFrame); 
         UpShift5=iHighest(NULL, 0, MODE_HIGH, TimeFrame, cnt+4*TimeFrame); 
           
         Up1=High[UpShift1]; 
         Up2=High[UpShift2]; 
         Up3=High[UpShift3]; 
         Up4=High[UpShift4]; 
         Up5=High[UpShift5]; 
          
         DnShift1=iLowest(NULL, 0, MODE_LOW, TimeFrame, cnt) ;
         DnShift2=iLowest(NULL, 0, MODE_LOW, TimeFrame, cnt+TimeFrame) ;
         DnShift3=iLowest(NULL, 0, MODE_LOW, TimeFrame, cnt+2*TimeFrame); 
         DnShift4=iLowest(NULL, 0, MODE_LOW, TimeFrame, cnt+3*TimeFrame); 
         DnShift5=iLowest(NULL, 0, MODE_LOW, TimeFrame, cnt+4*TimeFrame); 
         
         Dn1=Low[DnShift1]; 
         Dn2=Low[DnShift2]; 
         Dn3=Low[DnShift3]; 
         Dn4=Low[DnShift4]; 
         Dn5=Low[DnShift5]; 
   
   
       if(Dn3<Dn2 && Dn3< Dn1 && Dn3< Dn4 && Dn3<Dn5) Dn[DnShift3]=Dn3; 
       if(Up3>Up2 && Up3> Up1 && Up3>Up4 && Up3>Up5) Up[UpShift3]=Up3;
  
         
       cnt= cnt+TimeFrame-1;
       
    
       if(cnt>limit) break;
       
    
   
   }
   
  
   
//----
   return(0);
  }
//+------------------------------------------------------------------+